Subject: [PATCH v2 next 0/4] format-patch --cover-letter --in-reply-to

From: Thomas Rast <[email-masked]>
Date: Fri, 20 Feb 2009 20:55:36 +0100

Daniel Barkalow wrote:
> On Thu, 19 Feb 2009, Thomas Rast wrote:
> 
> > Currently, format-patch can only track a single reference (the
> > In-Reply-To:) for each mail.  To ensure proper threading, we should
> > list all known references for every mail.
> > 
> > Change the rev_info.ref_message_id field to a string_list
> 
> It would be nice to change the field name to "ref_message_ids", which is 
> more likely to suggest that it's a list of ids, rather than a single id 
> stored strangely.

Good point, I changed that.

> Aside from that, parts 2-4 look good to me (I'm not up on reviewing shell 
> code).

Thanks.

I also noticed that there is a textual conflict with 0db5260 (Enable
setting attach as the default in .gitconfig for git-format-patch.,
2009-02-12), which is already in 'next'.  So I rebased the series to
'next'.

Thomas Rast (4):
  format-patch: threading test reactivation
  format-patch: track several references
  format-patch: thread as reply to cover letter even with in-reply-to
  format-patch: support deep threading

 Documentation/config.txt           |   10 ++
 Documentation/git-format-patch.txt |   10 ++-
 builtin-log.c                      |   66 ++++++++--
 log-tree.c                         |   11 +-
 revision.h                         |    2 +-
 t/t4014-format-patch.sh            |  265 ++++++++++++++++++++++++++++++------
 6 files changed, 308 insertions(+), 56 deletions(-)